summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2013-02-09 16:04:21 +0100
committerAllan McRae <allan@archlinux.org>2013-02-13 02:50:32 +0100
commit572b1a5de7a2e44bc269733870fbf0bfc5e6b5e7 (patch)
treecead2551ab2dd429755675bd33fd265b3e1f5160 /scripts
parent390b08f18b4ef550230f9f4749fb52254ccba6e5 (diff)
downloadpacman-572b1a5de7a2e44bc269733870fbf0bfc5e6b5e7.tar.gz
pacman-572b1a5de7a2e44bc269733870fbf0bfc5e6b5e7.tar.xz
makepkg: add lrzip compression support
Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in12
1 files changed, 7 insertions, 5 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index c464ec79..e79a468a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1826,6 +1826,7 @@ create_package() {
*tar.gz) ${COMPRESSGZ[@]:-gzip -c -f -n} ;;
*tar.bz2) ${COMPRESSBZ2[@]:-bzip2 -c -f} ;;
*tar.xz) ${COMPRESSXZ[@]:-xz -c -z -} ;;
+ *tar.lrz) ${COMPRESSLRZ[@]:-lrzip -q} ;;
*tar.Z) ${COMPRESSZ[@]:-compress -c -f} ;;
*tar) cat ;;
*) warning "$(gettext "'%s' is not a valid archive extension.")" \
@@ -1938,10 +1939,11 @@ create_srcpackage() {
local TAR_OPT
case "$SRCEXT" in
- *tar.gz) TAR_OPT="z" ;;
- *tar.bz2) TAR_OPT="j" ;;
- *tar.xz) TAR_OPT="J" ;;
- *tar.Z) TAR_OPT="Z" ;;
+ *tar.gz) TAR_OPT="-z" ;;
+ *tar.bz2) TAR_OPT="-j" ;;
+ *tar.xz) TAR_OPT="-J" ;;
+ *tar.lrz) TAR_OPT="--lrzip" ;;
+ *tar.Z) TAR_OPT="-Z" ;;
*tar) TAR_OPT="" ;;
*) warning "$(gettext "'%s' is not a valid archive extension.")" \
"$SRCEXT" ;;
@@ -1953,7 +1955,7 @@ create_srcpackage() {
# tar it up
msg2 "$(gettext "Compressing source package...")"
cd_safe "${srclinks}"
- if ! bsdtar -c${TAR_OPT}Lf "$pkg_file" ${pkgbase}; then
+ if ! bsdtar -cL ${TAR_OPT} -f "$pkg_file" ${pkgbase}; then
error "$(gettext "Failed to create source package file.")"
exit 1 # TODO: error code
fi